Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Here is a list of all class members with links to the classes they belong to:

### - o -

- objectStateHandler() : eZ\Publish\Core\Persistence\Cache\Handler , eZ\Publish\Core\Persistence\Legacy\Handler , eZ\Publish\SPI\Persistence\Handler
- offsetGet() : eZ\Publish\Core\FieldType\FieldSettings
- offsetSet() : eZ\Publish\Core\FieldType\Author\AuthorCollection , eZ\Publish\Core\FieldType\FieldSettings
- ON_CONTENT_IDENTIFIER : eZ\Publish\Core\Persistence\Cache\ObjectStateHandler
- onBuildSchema() : EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber
- onConfigScopeChange() : eZ\Bundle\EzPublishCoreBundle\EventListener\ConfigScopeListener , eZ\Bundle\EzPublishCoreBundle\EventListener\DynamicSettingsListener
- onConsoleCommand() : eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener
- onInteractiveLogin() : eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener
- onKernelException() : eZ\Bundle\EzPublishCoreBundle\EventListener\ExceptionListener
- onKernelExceptionView() : eZ\Bundle\EzPublishRestBundle\EventListener\ResponseListener
- onKernelRequest() : eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener , eZ\Bundle\EzPublishCoreBundle\EventListener\OriginalRequestListener , eZ\Bundle\EzPublishCoreBundle\EventListener\PreviewRequestListener , eZ\Bundle\EzPublishCoreBundle\EventListener\RejectExplicitFrontControllerRequestsListener , eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener , eZ\Bundle\EzPublishRestBundle\EventListener\CsrfListener , eZ\Bundle\EzPublishRestBundle\EventListener\RequestListener , eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener
- onKernelRequestForward() : eZ\Bundle\EzPublishCoreBundle\EventListener\RequestEventListener
- onKernelRequestIndex() : eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener
- onKernelRequestRedirect() : eZ\Bundle\EzPublishCoreBundle\EventListener\RequestEventListener
- onKernelResultView() : eZ\Bundle\EzPublishRestBundle\EventListener\ResponseListener
- onlyEmptyInstance() : eZ\Publish\API\Repository\FieldType , eZ\Publish\Core\FieldType\FieldType , eZ\Publish\Core\FieldType\User\Type , eZ\Publish\Core\Repository\Values\ContentType\FieldType , eZ\Publish\Core\REST\Client\FieldType , eZ\Publish\SPI\FieldType\FieldType
- onRouteReferenceGeneration() : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener , eZ\Publish\Core\MVC\Symfony\EventListener\LanguageSwitchListener
- onSiteAccessMatch() : eZ\Bundle\EzPublishCoreBundle\EventListener\DynamicSettingsListener , eZ\Bundle\EzPublishCoreBundle\EventListener\RoutingListener , eZ\Bundle\EzPublishCoreBundle\EventListener\SessionInitByPostListener , eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener , eZ\Bundle\EzPublishCoreBundle\EventListener\SiteAccessListener
- OPERATORS : eZ\Publish\Core\REST\Server\Input\Parser\Criterion\DateMetadata , eZ\Publish\Core\REST\Server\Input\Parser\Criterion\Field
- OPT_BACKUP_CONFIG : eZ\Publish\Core\MVC\Symfony\ConfigDumperInterface
- OPT_CONTENT : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener
- OPT_CONTENT_ID : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener
- OPT_DEFAULT : eZ\Publish\Core\MVC\Symfony\ConfigDumperInterface
- OPT_DOWNLOAD_LANGUAGE : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener
- OPT_DOWNLOAD_NAME : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener
- OPT_FIELD_IDENTIFIER : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener
- OPT_SITEACCESS : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener
- OPT_SITEACCESS_LANGUAGE : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener
- OPT_VERSION : eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener
- orderBy() : eZ\Publish\Core\Persistence\Database\SelectQuery , eZ\Publish\Core\Persistence\Doctrine\SelectDoctrineQuery
- ORIGINAL_TRANSLATION : eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\TranslationCollectorPass
- outputConfiguredHandlers() : eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand
- OWNER : eZ\Publish\API\Repository\Values\Content\Query\Criterion\UserMetadata , eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\UserFacetBuilder , eZ\Publish\API\Repository\Values\User\Limitation

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.